Edushade Docs
Cohorts

Get All Cohorts

GET
/admin/learning/cohorts
AuthorizationBearer <token>

In: header

Query Parameters

page?number

Page number

Default1
Range1 <= value
per_page?number

Number of cohorts per page

Default20
Range1 <= value <= 100
program_id?string

Filter by program ID

Defaultnull
Formatuuid
status?string

Filter by status (values: draft, published, archived)

Defaultnull
Value in"draft" | "published" | "archived"
search?string

Search in cohort title and description

Defaultnull
instructor_id?array<unknown>

Filter by instructor IDs

Defaultnull
date_range?string

Filter by date range (format: "start_date,end_date", e.g., "2025-09-10,2025-10-19")

Defaultnull

Response Body

curl -X GET "https://edushade.com/api/v1/admin/learning/cohorts?page=1&per_page=20&status=draft"
{}
Empty
Empty
Empty